%define oname   kgio

Name:       ruby-%{oname}
Version:    2.3.3
Release:    %mkrel 1
Summary:    Kinder, gentler I/O for Ruby
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        http://bogomips.org/kgio/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygem(wrongdoc) >= 1.4
BuildRequires: rubygem(strace_me) >= 1.0
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildRequires: ruby-devel

%description
kgio provides non-blocking I/O methods for Ruby without raising
exceptions on EAGAIN and EINPROGRESS.  It is intended for use with the
Unicorn and Rainbows! Rack servers, but may be used by other
applications.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc LICENSE README TODO NEWS LATEST ChangeLog ISSUES HACKING
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{LICENSE,README,TODO,NEWS,LATEST,ChangeLog,ISSUES,HACKING,ext/}

%check
#ruby -I%{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ -I%{buildroot}%{ruby_sitearchdir} \
#  -rrubygems -e "require 'test/unit';Dir.glob('test/**/test_*').each {|t| require t}"

%clean
rm -rf %{buildroot}



%changelog
* Wed Apr 06 2011 shikamaru <shikamaru> 2.3.3-1.mga1
+ Revision: 81540
- disable test for now due to weird error on the BS
- imported package ruby-kgio


* Thu Mar 31 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.3.3-1
- Initial package
